package tk.suklaavene.FastFoodGamePlugin.API.Communication.Outgoing;

import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import tk.suklaavene.FastFoodGamePlugin.API.Communication.OutgoingPacket;
import tk.suklaavene.FastFoodGamePlugin.Utils.GamePowerupType;

public class UpdateUserPowerupOutgoingPacket implements OutgoingPacket
{
	private static final short HEADER_ID = 3;
	
	private final int userId;
	private final GamePowerupType type;
	private final int amount;
	
	public UpdateUserPowerupOutgoingPacket(int userId, GamePowerupType type, int amount)
	{
		this.userId = userId;
		this.type = type;
		this.amount = amount;
	}
	
	@Override
	public ByteBuf getBytes()
	{
		ByteBuf buffer = Unpooled.buffer();
		buffer.writeShortLE(UpdateUserPowerupOutgoingPacket.HEADER_ID);
		buffer.writeIntLE(this.userId);
		buffer.writeByte(this.type.getId());
		buffer.writeIntLE(this.amount);
		return buffer;
	}
}
