package tk.suklaavene.FastFoodGamePlugin.Communication.Incoming;

import com.eu.habbo.messages.incoming.MessageHandler;

import tk.suklaavene.FastFoodGamePlugin.FastFoodGamePlugin;
import tk.suklaavene.FastFoodGamePlugin.API.Communication.IncomingPacket;
import tk.suklaavene.FastFoodGamePlugin.API.Communication.Incoming.AuthenicateUserResponseIncomingPacket;
import tk.suklaavene.FastFoodGamePlugin.API.Communication.Outgoing.AuthenicateUserOutgoingPacket;
import tk.suklaavene.FastFoodGamePlugin.Outgoing.GameButtonStatusComposer;
import tk.suklaavene.FastFoodGamePlugin.Outgoing.LeaveGameQueueComposer;
import tk.suklaavene.FastFoodGamePlugin.Outgoing.LoadGameComposer;
import tk.suklaavene.FastFoodGamePlugin.Utils.AttributeUtils;
import tk.suklaavene.FastFoodGamePlugin.Utils.IncomingPacketRunnable;

public class LoadGameIncomingPacket extends MessageHandler
{
	@Override
	public void handle() throws Exception
	{
		int gameId = this.packet.readInt();
		
		if (gameId == 3)
		{
			FastFoodGamePlugin.getAPIConnection().getActiveConnection().registerRunnable(AuthenicateUserResponseIncomingPacket.class, new IncomingPacketRunnable()
			{
				@Override
				public void run(IncomingPacket packet)
				{
					FastFoodGamePlugin.getAPIConnection().getActiveConnection().unregisterRunnable(AuthenicateUserResponseIncomingPacket.class, this);
					
					AuthenicateUserResponseIncomingPacket incoming = (AuthenicateUserResponseIncomingPacket)packet;
					if (incoming.isResult())
					{
						LoadGameIncomingPacket.this.client.sendResponse(new LoadGameComposer(gameId, incoming.getSessionToken()));
						
						LoadGameIncomingPacket.this.client.getChannel().attr(AttributeUtils.PLAYING_FASTFOOD).set(true);
					}
					else
					{
						LoadGameIncomingPacket.this.client.sendResponse(new LeaveGameQueueComposer(gameId));
						LoadGameIncomingPacket.this.client.sendResponse(new GameButtonStatusComposer(gameId));
					}
				}
			});

			FastFoodGamePlugin.getAPIConnection().getActiveConnection().getChannel().writeAndFlush(new AuthenicateUserOutgoingPacket(FastFoodGamePlugin.getFastFoodManager().getOrCreate(this.client)));
		}
	}
}
