SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS `users_fastfood`;
CREATE TABLE `users_fastfood` (
  `user_id` int(11) NOT NULL,
  `missiles` int(11) NOT NULL DEFAULT '0',
  `parachutes` int(11) NOT NULL DEFAULT '0',
  `shields` int(11) NOT NULL DEFAULT '0',
  `plays` int(11) NOT NULL DEFAULT '0',
  `wins` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `fastfood_settings`;
CREATE TABLE `fastfood_settings` (
  `package_name` varchar(32) NOT NULL,
  `type` enum('shield','missile','parachute') NOT NULL,
  `amount` int(11) NOT NULL,
  `cost` int(11) NOT NULL,
  PRIMARY KEY (`package_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fastfood_settings` VALUES ('Missile_1', 'missile', '100', '10');
INSERT INTO `fastfood_settings` VALUES ('Parachute_1', 'parachute', '100', '10');
INSERT INTO `fastfood_settings` VALUES ('Shield_1', 'shield', '100', '10');

INSERT INTO `emulator_texts` VALUES ('basejump.inventory.title', 'Your power ups:');
INSERT INTO `emulator_texts` VALUES ('basejump.missile', 'Missile');
INSERT INTO `emulator_texts` VALUES ('basejump.missile.description', 'Auto-targets and blows up your best opponent\'s dish.');
INSERT INTO `emulator_texts` VALUES ('basejump.missile.limit', 'THREE missiles can be used per game.');
INSERT INTO `emulator_texts` VALUES ('basejump.bigparachute', 'Large Parachute');
INSERT INTO `emulator_texts` VALUES ('basejump.bigparachute.description', 'Allows last second opening');
INSERT INTO `emulator_texts` VALUES ('basejump.shield', 'Shield');
INSERT INTO `emulator_texts` VALUES ('basejump.shield.description', 'Shields from enemy missiles');
INSERT INTO `emulator_texts` VALUES ('basejump.bigparachute.limit', 'THREE large parachutes ca nbe used per game');
INSERT INTO `emulator_texts` VALUES ('basejump.shield.limit', 'THREE shield can be used per game');
INSERT INTO `emulator_texts` VALUES ('basejump.instructions.title', 'Be quick - the fastest wins!');
INSERT INTO `emulator_texts` VALUES ('basejump.instructions.1', 'When the red timer is ready click it to begin and let the food fall!');
INSERT INTO `emulator_texts` VALUES ('basejump.instructions.2', 'Click on the red parachute butto nin time so the food won\'t smash to the table!');
INSERT INTO `emulator_texts` VALUES ('basejump.instructions.3', 'Use your power-ups! There\'s misisles, large parachutes and super shield at your disposal, use them wisely!');
INSERT INTO `emulator_texts` VALUES ('basejump.play', 'Play');
INSERT INTO `emulator_texts` VALUES ('basejump.purchase', 'Buy more');
INSERT INTO `emulator_texts` VALUES ('basejump.waiting.players', 'Waiting for players');
INSERT INTO `emulator_texts` VALUES ('basejump.get.ready', 'Get ready...');
INSERT INTO `emulator_texts` VALUES ('basejump.go', 'GO');
INSERT INTO `emulator_texts` VALUES ('basejump.winner', 'WINNER!');
INSERT INTO `emulator_texts` VALUES ('basejump.scores.title', 'Scores');
INSERT INTO `emulator_texts` VALUES ('basejump.globalscores.title', 'Global scores');
INSERT INTO `emulator_texts` VALUES ('basejump.globalscores.description', '');
INSERT INTO `emulator_texts` VALUES ('basejump.purchase.confirmation', 'Confirm purchase');
INSERT INTO `emulator_texts` VALUES ('basejump.purchase.price', 'Cost');
INSERT INTO `emulator_texts` VALUES ('basejump.purchase.confirmation.no', 'Cancel');
INSERT INTO `emulator_texts` VALUES ('basejump.purchase.confirmation.yes', 'Confirm');